package com.kingdee.eas.custom.performancenew;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class ExamineGradePersonEntryFactory
{
    private ExamineGradePersonEntryFactory()
    {
    }
    public static com.kingdee.eas.custom.performancenew.IExamineGradePersonEntry getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.performancenew.IExamineGradePersonEntry)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("8FDCC2D4") ,com.kingdee.eas.custom.performancenew.IExamineGradePersonEntry.class);
    }
    
    public static com.kingdee.eas.custom.performancenew.IExamineGradePersonEntry getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.performancenew.IExamineGradePersonEntry)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("8FDCC2D4") ,com.kingdee.eas.custom.performancenew.IExamineGradePersonEntry.class, objectCtx);
    }
    public static com.kingdee.eas.custom.performancenew.IExamineGradePersonEntry getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.performancenew.IExamineGradePersonEntry)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("8FDCC2D4"));
    }
    public static com.kingdee.eas.custom.performancenew.IExamineGradePersonEntry getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.performancenew.IExamineGradePersonEntry)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("8FDCC2D4"));
    }
}